Auto tagging rules
Toggle rule
Enable or disable a rule. For default rules, creates an org-level override.
Required scopes: user_tag:write
AuthorizationBearer <token>
Sign in with your account. A temporary API token is generated automatically for the selected organization.
In: header
Path Parameters
ruleId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
enabled*boolean
Response Body
*/*
curl -X PATCH "https://api.stemp.app/api/v1/auto-tagging-rules/string/toggle" \ -H "Content-Type: application/json" \ -d '{ "enabled": true }'{
"id": "string",
"name": "string",
"description": "string",
"triggerEvent": "USER_CREATED",
"conditions": {
"property1": {},
"property2": {}
},
"actionType": "ASSIGN_TAG",
"tagSlug": "string",
"enabled": true,
"priority": 0,
"isDefault": true,
"defaultKey": "string",
"scheduleConfig": {
"field": "string",
"operator": "string",
"days": 0
},
"groupKey": "string",
"createdAt": "string",
"tagEndsWithItsDay": true
}